<?xml version="1.0" encoding="UTF-8"?>
<xmi:XMI xmi:version="20131001" xmlns:xmi="http://www.omg.org/spec/XMI/20131001" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:Ecore="http://www.eclipse.org/uml2/schemas/Ecore/5" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:uml="http://www.eclipse.org/uml2/5.0.0/UML" xsi:schemaLocation="http://www.eclipse.org/uml2/schemas/Ecore/5 pathmap://UML_PROFILES/Ecore.profile.uml#_z1OFcHjqEdy8S4Cr8Rc_NA">
  <uml:Profile xmi:id="_j9REUByGEduN1bTiWJ0lyw" name="PapyrusJava" metaclassReference="_TRvswByHEduN1bTiWJ0lyw _gphJsByIEduN1bTiWJ0lyw _Gt0nQByJEduN1bTiWJ0lyw _GuFF8ByJEduN1bTiWJ0lyw _G0LmkByMEdu0tMSz-ceC5A _G0XMwByMEdu0tMSz-ceC5A _G0a3IByMEdu0tMSz-ceC5A _jBetUByNEdu0tMSz-ceC5A _jB15sByNEdu0tMSz-ceC5A _jB_qsByNEdu0tMSz-ceC5A _jCCuAByNEdu0tMSz-ceC5A _jCGYYByNEdu0tMSz-ceC5A _jCJbsByNEdu0tMSz-ceC5A _X7dJsDlPEd2mO4M0idYmag _OiGWgF5fEeKpvPHLdOdp2Q _41Sz8I1SEeKTUILNxKtfZw _CBeJwOPxEeKKu7vQg_d5Xw">
    <ownedComment xmi:type="uml:Comment" xmi:id="_YyvygGMvEeydfJuFsrdeeg" annotatedElement="_PmXVQByJEduN1bTiWJ0lyw">
      <body>Declare thast a package contains a set of interfaces/classes which are already defined in an external library. Only prefix attribute is currently used (package prefix for all members of the package)</body>
    </ownedComment>
    <ownedComment xmi:type="uml:Comment" xmi:id="_gWa78CuREe6d-6IykcfIxA" annotatedElement="_MyI6IByJEduN1bTiWJ0lyw">
      <body>Now in common, kept here for backward compatibility</body>
    </ownedComment>
    <elementImport xmi:type="uml:ElementImport" xmi:id="_TRvswByHEduN1bTiWJ0lyw">
      <importedElement xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Parameter"/>
    </elementImport>
    <elementImport xmi:type="uml:ElementImport" xmi:id="_gphJsByIEduN1bTiWJ0lyw">
      <importedElement xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Property"/>
    </elementImport>
    <elementImport xmi:type="uml:ElementImport" xmi:id="_Gt0nQByJEduN1bTiWJ0lyw">
      <importedElement xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Class"/>
    </elementImport>
    <elementImport xmi:type="uml:ElementImport" xmi:id="_GuFF8ByJEduN1bTiWJ0lyw">
      <importedElement xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Package"/>
    </elementImport>
    <elementImport xmi:type="uml:ElementImport" xmi:id="_G0LmkByMEdu0tMSz-ceC5A">
      <importedElement xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Element"/>
    </elementImport>
    <elementImport xmi:type="uml:ElementImport" xmi:id="_G0XMwByMEdu0tMSz-ceC5A">
      <importedElement xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Operation"/>
    </elementImport>
    <elementImport xmi:type="uml:ElementImport" xmi:id="_G0a3IByMEdu0tMSz-ceC5A">
      <importedElement xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Dependency"/>
    </elementImport>
    <elementImport xmi:type="uml:ElementImport" xmi:id="_jBetUByNEdu0tMSz-ceC5A">
      <importedElement xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Generalization"/>
    </elementImport>
    <elementImport xmi:type="uml:ElementImport" xmi:id="_jB15sByNEdu0tMSz-ceC5A">
      <importedElement xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#PrimitiveType"/>
    </elementImport>
    <elementImport xmi:type="uml:ElementImport" xmi:id="_jB_qsByNEdu0tMSz-ceC5A">
      <importedElement xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#TemplateBinding"/>
    </elementImport>
    <elementImport xmi:type="uml:ElementImport" xmi:id="_jCCuAByNEdu0tMSz-ceC5A">
      <importedElement xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#TemplateParameter"/>
    </elementImport>
    <elementImport xmi:type="uml:ElementImport" xmi:id="_jCGYYByNEdu0tMSz-ceC5A">
      <importedElement xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#EnumerationLiteral"/>
    </elementImport>
    <elementImport xmi:type="uml:ElementImport" xmi:id="_jCJbsByNEdu0tMSz-ceC5A">
      <importedElement xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Association"/>
    </elementImport>
    <elementImport xmi:type="uml:ElementImport" xmi:id="_X7dJsDlPEd2mO4M0idYmag" alias="PackageImport">
      <importedElement xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#PackageImport"/>
    </elementImport>
    <elementImport xmi:type="uml:ElementImport" xmi:id="_OiGWgF5fEeKpvPHLdOdp2Q" alias="DataType">
      <importedElement xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#DataType"/>
    </elementImport>
    <elementImport xmi:type="uml:ElementImport" xmi:id="_41Sz8I1SEeKTUILNxKtfZw" alias="Feature">
      <importedElement xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Feature"/>
    </elementImport>
    <elementImport xmi:type="uml:ElementImport" xmi:id="_CBeJwOPxEeKKu7vQg_d5Xw" alias="Classifier">
      <importedElement xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Classifier"/>
    </elementImport>
    <packageImport xmi:type="uml:PackageImport" xmi:id="_6G_4UP2HEeGbWP4cpLE0gg">
      <importedPackage xmi:type="uml:Model" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#_0"/>
    </packageImport>
    <packageImport xmi:type="uml:PackageImport" xmi:id="_o98LYCuREe6d-6IykcfIxA">
      <importedPackage xmi:type="uml:Profile" href="pathmap://Codegen_PROFILES/Codegen.profile.uml#_fPDsIBa-EearhdjjJ6cVzQ"/>
    </packageImport>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_WgwmcByHEduN1bTiWJ0lyw" name="Array">
      <ownedAttribute xmi:type="uml:Property" xmi:id="_Z3w-gByHEduN1bTiWJ0lyw" name="base_parameter" isUnique="false" association="_Z4QGsByHEduN1bTiWJ0lyw">
        <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Parameter"/>
        <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_ibI3cCBEEeOBrb_t_69W4Q"/>
        <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_ibQMMCBEEeOBrb_t_69W4Q" value="1"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_a8S9oByHEduN1bTiWJ0lyw" name="definition" isUnique="false">
        <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#String"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_jd4uwByIEduN1bTiWJ0lyw" name="base_property" isUnique="false" association="_jeImYByIEduN1bTiWJ0lyw">
        <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Property"/>
        <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_jdmaACBEEeOBrb_t_69W4Q"/>
        <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_jdsgoCBEEeOBrb_t_69W4Q" value="1"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_guP0gByPEduuTv8efIb91A" name="base_association" isUnique="false" association="_gufsIByPEduuTv8efIb91A">
        <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Association"/>
        <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_kZzjkCBEEeOBrb_t_69W4Q"/>
        <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_kZ8tgCBEEeOBrb_t_69W4Q" value="1"/>
      </ownedAttribute>
    </packagedElement>
    <packagedElement xmi:type="uml:Extension" xmi:id="_Z4QGsByHEduN1bTiWJ0lyw" name="E_Array_Parameter1" memberEnd="_Z3w-gByHEduN1bTiWJ0lyw _Z4QGsRyHEduN1bTiWJ0lyw">
      <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_Z4QGsRyHEduN1bTiWJ0lyw" name="extension_Array" type="_WgwmcByHEduN1bTiWJ0lyw" association="_Z4QGsByHEduN1bTiWJ0lyw"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Extension" xmi:id="_jeImYByIEduN1bTiWJ0lyw" name="E_Array_Property1" memberEnd="_jd4uwByIEduN1bTiWJ0lyw _jeImYRyIEduN1bTiWJ0lyw">
      <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_jeImYRyIEduN1bTiWJ0lyw" name="extension_Array" type="_WgwmcByHEduN1bTiWJ0lyw" association="_jeImYByIEduN1bTiWJ0lyw"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_MyI6IByJEduN1bTiWJ0lyw" name="External">
      <generalization xmi:type="uml:Generalization" xmi:id="_ya0VgCuREe6d-6IykcfIxA">
        <general xmi:type="uml:Stereotype" href="pathmap://Codegen_PROFILES/Codegen.profile.uml#_E2wXQCuQEe6d-6IykcfIxA"/>
      </generalization>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_PmXVQByJEduN1bTiWJ0lyw" name="ExternLibrary">
      <ownedAttribute xmi:type="uml:Property" xmi:id="_zqayUByJEduN1bTiWJ0lyw" name="base_package" isUnique="false" association="_zqqC4ByJEduN1bTiWJ0lyw">
        <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Package"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_WFVj0ByJEduN1bTiWJ0lyw" name="prefix" visibility="public" isUnique="false">
        <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#String"/>
        <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_x4IIgOL8EeKxe91u-BdTVQ"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_qvPI4NTHEeKiLbHSN_MIRQ" name="classPath" visibility="public">
        <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#String"/>
        <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_E5XWoNTMEeKiLbHSN_MIRQ"/>
        <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_E5ggkNTMEeKiLbHSN_MIRQ" value="*"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_FzcR4NTPEeKiLbHSN_MIRQ" name="jars" visibility="public">
        <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#String"/>
        <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_F6mCwNTPEeKiLbHSN_MIRQ"/>
        <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_F6wa0NTPEeKiLbHSN_MIRQ" value="*"/>
      </ownedAttribute>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_RwTdQByJEduN1bTiWJ0lyw" name="Import">
      <ownedAttribute xmi:type="uml:Property" xmi:id="_YtvwgByJEduN1bTiWJ0lyw" name="manualImports" visibility="public">
        <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#String"/>
        <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_dbl6gBybEdudA-H9lQdiWg"/>
        <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_dbnIoBybEdudA-H9lQdiWg" value="1"/>
        <defaultValue xmi:type="uml:LiteralString" xmi:id="_RT5rMBBXEdyoOLr5UzE5gA" value=""/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_0ja24ByJEduN1bTiWJ0lyw" name="base_class" isUnique="false" association="_0jpgYByJEduN1bTiWJ0lyw">
        <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Class"/>
        <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_fSqJkOL5EeK7avO_9XJm4Q"/>
        <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_fSw3QOL5EeK7avO_9XJm4Q" value="1"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_9Z58QHP-EeWZ7bKCqwPQEQ" name="base_Classifier" association="_9Z2R4HP-EeWZ7bKCqwPQEQ">
        <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Classifier"/>
        <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_DN9lkHP_EeWZ7bKCqwPQEQ"/>
        <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_DOBP8HP_EeWZ7bKCqwPQEQ" value="1"/>
      </ownedAttribute>
    </packagedElement>
    <packagedElement xmi:type="uml:Extension" xmi:id="_zqqC4ByJEduN1bTiWJ0lyw" name="E_ExternLibrary_Package1" memberEnd="_zqayUByJEduN1bTiWJ0lyw _zqqC4RyJEduN1bTiWJ0lyw">
      <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_zqqC4RyJEduN1bTiWJ0lyw" name="extension_ExternLibrary" type="_PmXVQByJEduN1bTiWJ0lyw" association="_zqqC4ByJEduN1bTiWJ0lyw"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Extension" xmi:id="_0jpgYByJEduN1bTiWJ0lyw" name="E_Import_Class1" memberEnd="_0ja24ByJEduN1bTiWJ0lyw _0jpgYRyJEduN1bTiWJ0lyw">
      <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_0jpgYRyJEduN1bTiWJ0lyw" name="extension_Import" type="_RwTdQByJEduN1bTiWJ0lyw" association="_0jpgYByJEduN1bTiWJ0lyw"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Extension" xmi:id="_9Z2R4HP-EeWZ7bKCqwPQEQ" name="E_Import_Classifier1" memberEnd="_9Z5VMHP-EeWZ7bKCqwPQEQ _9Z58QHP-EeWZ7bKCqwPQEQ">
      <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_9Z5VMHP-EeWZ7bKCqwPQEQ" name="extension_Import" type="_RwTdQByJEduN1bTiWJ0lyw" aggregation="composite" association="_9Z2R4HP-EeWZ7bKCqwPQEQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Extension" xmi:id="_gufsIByPEduuTv8efIb91A" name="E_Array_Association1" memberEnd="_guP0gByPEduuTv8efIb91A _gufsIRyPEduuTv8efIb91A">
      <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_gufsIRyPEduuTv8efIb91A" name="extension_Array" type="_WgwmcByHEduN1bTiWJ0lyw" association="_gufsIByPEduuTv8efIb91A"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_A3_lgCYNEeKe9vxHwEdBmA" name="ManualGeneration">
      <ownedAttribute xmi:type="uml:Property" xmi:id="_vOBBoCYNEeKe9vxHwEdBmA" name="extensionBody" visibility="public">
        <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#String"/>
        <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_5zd9YCYNEeKe9vxHwEdBmA" value="1"/>
        <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_5zgZoCYNEeKe9vxHwEdBmA" value="1"/>
        <defaultValue xmi:type="uml:LiteralString" xmi:id="_5zkrECYNEeKe9vxHwEdBmA">
          <value xsi:nil="true"/>
        </defaultValue>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_KEpF0CYOEeKe9vxHwEdBmA" name="base_Class" association="_KEps4CYOEeKe9vxHwEdBmA">
        <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Class"/>
      </ownedAttribute>
    </packagedElement>
    <packagedElement xmi:type="uml:Extension" xmi:id="_KEps4CYOEeKe9vxHwEdBmA" name="E_ManualGeneration_Class1" memberEnd="_KEps4SYOEeKe9vxHwEdBmA _KEpF0CYOEeKe9vxHwEdBmA">
      <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_KEps4SYOEeKe9vxHwEdBmA" name="extension_ManualGeneration" type="_A3_lgCYNEeKe9vxHwEdBmA" aggregation="composite" association="_KEps4CYOEeKe9vxHwEdBmA"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_cKKNYHDeEeWeeNq7pVC2_w" name="Variadic">
      <ownedAttribute xmi:type="uml:Property" xmi:id="_tN65IfZQEeW5KOK8aDMdgA" name="base_Parameter" association="_tNxIIPZQEeW5KOK8aDMdgA">
        <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Parameter"/>
      </ownedAttribute>
    </packagedElement>
    <packagedElement xmi:type="uml:Extension" xmi:id="_tNxIIPZQEeW5KOK8aDMdgA" name="E_Variadic_Parameter1" memberEnd="_tN65IPZQEeW5KOK8aDMdgA _tN65IfZQEeW5KOK8aDMdgA">
      <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_tN65IPZQEeW5KOK8aDMdgA" name="extension_Variadic" type="_cKKNYHDeEeWeeNq7pVC2_w" aggregation="composite" association="_tNxIIPZQEeW5KOK8aDMdgA"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_wpqvAPaXEeW5KOK8aDMdgA" name="Volatile">
      <ownedAttribute xmi:type="uml:Property" xmi:id="_yFJOgfaXEeW5KOK8aDMdgA" name="base_Property" association="_yFIncPaXEeW5KOK8aDMdgA">
        <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Property"/>
      </ownedAttribute>
    </packagedElement>
    <packagedElement xmi:type="uml:Extension" xmi:id="_yFIncPaXEeW5KOK8aDMdgA" name="E_Volatile_Property1" memberEnd="_yFJOgPaXEeW5KOK8aDMdgA _yFJOgfaXEeW5KOK8aDMdgA">
      <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_yFJOgPaXEeW5KOK8aDMdgA" name="extension_Volatile" type="_wpqvAPaXEeW5KOK8aDMdgA" aggregation="composite" association="_yFIncPaXEeW5KOK8aDMdgA"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_yeydkPaXEeW5KOK8aDMdgA" name="Transient">
      <ownedAttribute xmi:type="uml:Property" xmi:id="_zkEqofaXEeW5KOK8aDMdgA" name="base_Property" association="_zkEDkPaXEeW5KOK8aDMdgA">
        <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Property"/>
      </ownedAttribute>
    </packagedElement>
    <packagedElement xmi:type="uml:Extension" xmi:id="_zkEDkPaXEeW5KOK8aDMdgA" name="E_Transient_Property1" memberEnd="_zkEqoPaXEeW5KOK8aDMdgA _zkEqofaXEeW5KOK8aDMdgA">
      <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_zkEqoPaXEeW5KOK8aDMdgA" name="extension_Transient" type="_yeydkPaXEeW5KOK8aDMdgA" aggregation="composite" association="_zkEDkPaXEeW5KOK8aDMdgA"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_0mXGsPaaEeW5KOK8aDMdgA" name="Synchronized">
      <ownedAttribute xmi:type="uml:Property" xmi:id="_341kEPaaEeW5KOK8aDMdgA" name="base_Operation" association="_3409APaaEeW5KOK8aDMdgA">
        <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Operation"/>
      </ownedAttribute>
    </packagedElement>
    <packagedElement xmi:type="uml:Extension" xmi:id="_3409APaaEeW5KOK8aDMdgA" name="E_Synchronized_Operation1" memberEnd="_3409AfaaEeW5KOK8aDMdgA _341kEPaaEeW5KOK8aDMdgA">
      <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_3409AfaaEeW5KOK8aDMdgA" name="extension_Synchronized" type="_0mXGsPaaEeW5KOK8aDMdgA" aggregation="composite" association="_3409APaaEeW5KOK8aDMdgA"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_1sWeYPaaEeW5KOK8aDMdgA" name="Strictfp">
      <ownedAttribute xmi:type="uml:Property" xmi:id="_4OpcAPaaEeW5KOK8aDMdgA" name="base_Operation" association="_4Oo08PaaEeW5KOK8aDMdgA">
        <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Operation"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_ahBhwPfoEeWvI4zfbofpEg" name="base_Classifier" association="_ag4-4PfoEeWvI4zfbofpEg">
        <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Classifier"/>
      </ownedAttribute>
    </packagedElement>
    <packagedElement xmi:type="uml:Extension" xmi:id="_4Oo08PaaEeW5KOK8aDMdgA" name="E_Strictfp_Operation1" memberEnd="_4Oo08faaEeW5KOK8aDMdgA _4OpcAPaaEeW5KOK8aDMdgA">
      <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_4Oo08faaEeW5KOK8aDMdgA" name="extension_Strictfp" type="_1sWeYPaaEeW5KOK8aDMdgA" aggregation="composite" association="_4Oo08PaaEeW5KOK8aDMdgA"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Extension" xmi:id="_ag4-4PfoEeWvI4zfbofpEg" name="E_Strictfp_Classifier1" memberEnd="_ahAToPfoEeWvI4zfbofpEg _ahBhwPfoEeWvI4zfbofpEg">
      <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_ahAToPfoEeWvI4zfbofpEg" name="extension_Strictfp" type="_1sWeYPaaEeW5KOK8aDMdgA" aggregation="composite" association="_ag4-4PfoEeWvI4zfbofpEg"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_2iFMgPaaEeW5KOK8aDMdgA" name="Native">
      <ownedAttribute xmi:type="uml:Property" xmi:id="_4hHFAPaaEeW5KOK8aDMdgA" name="base_Operation" association="_4hGd8PaaEeW5KOK8aDMdgA">
        <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Operation"/>
      </ownedAttribute>
    </packagedElement>
    <packagedElement xmi:type="uml:Extension" xmi:id="_4hGd8PaaEeW5KOK8aDMdgA" name="E_Native_Operation1" memberEnd="_4hGd8faaEeW5KOK8aDMdgA _4hHFAPaaEeW5KOK8aDMdgA">
      <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_4hGd8faaEeW5KOK8aDMdgA" name="extension_Native" type="_2iFMgPaaEeW5KOK8aDMdgA" aggregation="composite" association="_4hGd8PaaEeW5KOK8aDMdgA"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_3TYGkPaaEeW5KOK8aDMdgA" name="Default">
      <ownedAttribute xmi:type="uml:Property" xmi:id="_40q6MfaaEeW5KOK8aDMdgA" name="base_Operation" association="_40qTIPaaEeW5KOK8aDMdgA">
        <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Operation"/>
      </ownedAttribute>
    </packagedElement>
    <packagedElement xmi:type="uml:Extension" xmi:id="_40qTIPaaEeW5KOK8aDMdgA" name="E_Default_Operation1" memberEnd="_40q6MPaaEeW5KOK8aDMdgA _40q6MfaaEeW5KOK8aDMdgA">
      <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_40q6MPaaEeW5KOK8aDMdgA" name="extension_Default" type="_3TYGkPaaEeW5KOK8aDMdgA" aggregation="composite" association="_40qTIPaaEeW5KOK8aDMdgA"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_dkFDEPfoEeWvI4zfbofpEg" name="StaticClassifier">
      <ownedAttribute xmi:type="uml:Property" xmi:id="_fRWdMPfoEeWvI4zfbofpEg" name="base_Classifier" association="_fRVPEPfoEeWvI4zfbofpEg">
        <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Classifier"/>
      </ownedAttribute>
    </packagedElement>
    <packagedElement xmi:type="uml:Extension" xmi:id="_fRVPEPfoEeWvI4zfbofpEg" name="E_StaticClassifier_Classifier1" memberEnd="_fRV2IPfoEeWvI4zfbofpEg _fRWdMPfoEeWvI4zfbofpEg">
      <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_fRV2IPfoEeWvI4zfbofpEg" name="extension_StaticClassifier" type="_dkFDEPfoEeWvI4zfbofpEg" aggregation="composite" association="_fRVPEPfoEeWvI4zfbofpEg"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_OeUtcPpwEeWvI4zfbofpEg" name="Final">
      <ownedAttribute xmi:type="uml:Property" xmi:id="_cnVPgPpwEeWvI4zfbofpEg" name="base_Parameter" association="_cnRlIPpwEeWvI4zfbofpEg">
        <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Parameter"/>
      </ownedAttribute>
    </packagedElement>
    <packagedElement xmi:type="uml:Extension" xmi:id="_cnRlIPpwEeWvI4zfbofpEg" name="E_Final_Parameter1" memberEnd="_cnSMMPpwEeWvI4zfbofpEg _cnVPgPpwEeWvI4zfbofpEg">
      <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_cnSMMPpwEeWvI4zfbofpEg" name="extension_Final" type="_OeUtcPpwEeWvI4zfbofpEg" aggregation="composite" association="_cnRlIPpwEeWvI4zfbofpEg"/>
    </packagedElement>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_QS19UMogEeGKstsYRuxdvw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_QUmQ0MogEeGKstsYRuxdvw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="pathmap://UML_PROFILES/Ecore.profile.uml#_z1OFcHjqEdy8S4Cr8Rc_NA"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://UML_PROFILES/Ecore.profile.uml#_0"/>
    </profileApplication>
  </uml:Profile>
  <Ecore:EPackage xmi:id="_RRUXwMogEeGKstsYRuxdvw" base_Package="_j9REUByGEduN1bTiWJ0lyw" packageName="PapyrusJava" nsPrefix="PapyrusJava" nsURI="http://www.eclipse.org/papyrus/PapyrusJava/1" prefix="org.eclipse.papyrus.java.profile.PapyrusJava"/>
</xmi:XMI>
